<template>
 <section id="beacons" class="container">
  <table>
   <thead>
    <tr>
     <th>
     </th>
     <th>
      Nome
     </th>
     <th>
      UUID
     </th>
     <th>
      iBeacon attivo
     </th>
     <th>
     </th>
    </tr>
   </thead>
   <tbody>
    <tr v-for="p in estimote.beacons">
     <td>
      <img v-bind:src="get_immagine(p.color)" width="50px"/>
     </td>
     <td>
      <i class="fa fa-exclamation" aria-hidden="true" v-if="p.pending_settings != null"></i>
      &nbsp;
      {{ p.shadow.name }}
     </td>
     <td>
      {{ p.identifier }}
     </td>
     <td>
      <i class="fa fa-check" aria-hidden="true" v-if="p.settings.advertisers.ibeacon[0].enabled">
      </i>
     </td>
     <td>
      <a href="#" @click="aggiorna_beacons_modale(p.identifier, p.shadow.name, p.pending_settings, p.settings.advertisers.ibeacon[0])">
       <i class="fa fa-edit" aria-hidden="true">
       </i>
      </a>
     </td>
    </tr>
   </tbody>
  </table>
  <div id="aggiorna_beacons" v-if="modale_aggiorna_beacons.attiva">
   <div id="chiudi_modale" @click="chiudi_modale">
    <i class="fa fa-times" aria-hidden="true">
    </i>
   </div>
   <div class="container" style="max-width:600px;">
    <div id="titolo_pagina">
     <h1>
      {{ modale_aggiorna_beacons.titolo_beacon_in_aggiornamento }}
     </h1>
     <h4 v-if="modale_aggiorna_beacons.pending != null">
      Questo beacon ha delle modifiche in sospeso!
     </h4>
    </div>
    <div class="row">
     <div class="column">
      <div id="modulo_aggiornamento">
       <p>
        iBeacon attivo
       </p>
       <select v-model="modale_aggiorna_beacons.enabled.selezionato">
        <option v-for="option in modale_aggiorna_beacons.enabled.options" v-bind="{value: option.value}">
         {{ option.name }}
        </option>
       </select>
       <p>
        Nome beacon
       </p>
       <input type="text" v-model="modale_aggiorna_beacons.nome_beacon"/>
       <p>
        Major assegnato (1 fino a 65535)
       </p>
       <input type="text" v-model="modale_aggiorna_beacons.major"/>
       <p>
        Minor assegnato (1 fino a 65535)
       </p>
       <input type="text" v-model="modale_aggiorna_beacons.minor"/>
       <p>
        Power assegnata
       </p>
        <select v-model="modale_aggiorna_beacons.power.selezionato">
        <option v-for="option in modale_aggiorna_beacons.power.options" v-bind="{value: option.value}">
         {{ option.name }}
        </option>
       </select>
       <p>
        Interval assegnato
       </p>
       <input type="text" v-model="modale_aggiorna_beacons.interval"/>
       <button @click="aggiorna_beacons_actions(modale_aggiorna_beacons)">
        Aggiorna beacons
       </button>
      </div>
     </div>
    </div>
   </div>
  </div>
 </section>
</template>
<script src="./beacons.js"></script>
